org.apache.hadoop.hdfs.client

## Interface HdfsClientConfigKeys.StripedRead

- Enclosing interface:
    org.apache.hadoop.hdfs.client.HdfsClientConfigKeys

      public static interface HdfsClientConfigKeys.StripedRead

  dfs.client.read.striped configuration properties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFIX`
    `static int` | `THREADPOOL_SIZE_DEFAULT` With default RS-6-3-1024k erasure coding policy, each normal read could span 6 DNs, so this default value accommodates 3 read streams
    `static String` | `THREADPOOL_SIZE_KEY`

- - ### Field Detail

    - #### PREFIX

          static final String PREFIX

      See Also:
        Constant Field Values

    - #### THREADPOOL_SIZE_KEY

          static final String THREADPOOL_SIZE_KEY

      See Also:
        Constant Field Values

    - #### THREADPOOL_SIZE_DEFAULT

          static final int THREADPOOL_SIZE_DEFAULT

      With default RS-6-3-1024k erasure coding policy, each normal read could span 6 DNs, so this default value accommodates 3 read streams
      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.